Payments
- Base URL
https://customer-api.debitura.com- Authentication
- API key in the
XApiKeyheader
List payments
GET
/PaymentsReturns a paginated list of all payments recorded on your account across all cases.
Pagination:
- Page (default: 1) - Page number, starting from 1
- PageSize (default: 10, max: 100) - Number of results per page
Response:
- Returns PaymentListApiDTO with page metadata and payments array
- Each payment includes case reference, amount, currency, date, payment type, and status
- Page metadata includes: totalResults, currentPage, skipped, pageSize
Note: This endpoint returns ALL payments across all your cases. To get payments for a specific case, use GET /cases/{id}/payments instead.
Query parameters
PageintegerPageSizeinteger
Returns
200 Payments returned
pageobjectRequiredpaymentsarray of objectsnullable
GET/Payments
curl https://customer-api.debitura.com/Payments \-H "XApiKey: $DEBITURA_API_KEY"
Response
{"page": {"totalResults": 42,"pageSize": 25,"currentPage": 1,"responseCount": 42,"totalPages": 1},"payments": [{"id": "3f2b6c1e-8a4d-4b7f-9c2e-5d1a0b9e7f31","dateCreated": "2026-10-01T14:05:00Z","dateUpdated": "2026-10-01T14:05:00Z","date": "2026-10-01T14:05:00Z","grossAmount": 2500,"recipient": "string","method": "string","currency": "EUR","invoice": {"status": "string","reference": "INV-2026-0042","invoiceId": "3f2b6c1e-8a4d-4b7f-9c2e-5d1a0b9e7f31"}}]}
Fetch payment by ID
GET
/Payments/{id}Returns payment details for the supplied payment ID.
Path parameters
iduuidRequired
Returns
200 Payment found
iduuiddateCreateddatetimedateUpdateddatetimenullabledatedatetimegrossAmountnumberrecipientstringnullableRequiredmethodstringnullableRequiredcurrencystringnullableRequiredinvoiceobjectRequired
GET/Payments/{id}
curl https://customer-api.debitura.com/Payments/3f2b6c1e-8a4d-4b7f-9c2e-5d1a0b9e7f31 \-H "XApiKey: $DEBITURA_API_KEY"
Response
{"id": "3f2b6c1e-8a4d-4b7f-9c2e-5d1a0b9e7f31","dateCreated": "2026-10-01T14:05:00Z","dateUpdated": "2026-10-01T14:05:00Z","date": "2026-10-01T14:05:00Z","grossAmount": 2500,"recipient": "string","method": "string","currency": "EUR","invoice": {"status": "string","reference": "INV-2026-0042","invoiceId": "3f2b6c1e-8a4d-4b7f-9c2e-5d1a0b9e7f31"}}